package StructuralClass;

import java.util.ArrayList;

import TX_OtherClass.JceStruct;
import TX_OtherClass.c;
import TX_OtherClass.d;

public final class SearchHotWordInfo extends JceStruct {
    static ArrayList cache_searchOperateHotWordList;
    public ArrayList searchOperateHotWordList;
    public String timeStamp;

    static {
        SearchHotWordInfo.cache_searchOperateHotWordList = new ArrayList();
        SearchHotWordInfo.cache_searchOperateHotWordList.add(new IconTagText());
    }

    public SearchHotWordInfo() {
        super();
        this.timeStamp = "";
        this.searchOperateHotWordList = null;
    }

    public SearchHotWordInfo(String arg2, ArrayList arg3) {
        super();
        this.timeStamp = "";
        this.searchOperateHotWordList = null;
        this.timeStamp = arg2;
        this.searchOperateHotWordList = arg3;
    }

    public final void readFrom(c arg3) {
        this.timeStamp = arg3.b(0, true);
        this.searchOperateHotWordList = (ArrayList) arg3.a(SearchHotWordInfo.cache_searchOperateHotWordList, 1, true);
    }

    public final void writeTo(d arg3) {
        arg3.a(this.timeStamp, 0);
        arg3.a(this.searchOperateHotWordList, 1);
    }

}
